#include "Config.h"
#include <iostream>

using namespace std;

Config::Config() {

        verbose = 0;

	//fill dummy values
	//numCells = Vector(10,10);
	numCells = Vector(100,100);
	//fieldDimensions = Vector(2740, 1520);
	//by spt2002 fieldDimensions = Vector(1520, 2740);
	fieldDimensions = Vector(2700, 4200);
	goalWidth = 700; 
	
	numRobots = 8;
	numOurRobots = 4;
	numActions = 5;

	direction = -1;

	friendlySigma = 200.0;
	
	//	visHost = "dhcp3.cs.columbia.edu";
	visHost = "127.0.0.1";
	visPort = 6363;

	//	commHost = "dhcp3.cs.columbia.edu";
	commHost = "127.0.0.1";
	commPort = 6364;

	names[0] = "blue0";
	names[1] = "blue1";
	names[2] = "blue2";
	names[3] = "blue3";
	names[4] = "yellow0";
	names[5] = "yellow1";
	names[6] = "yellow2";
	names[7] = "yellow3";

      /*names[0] = "blue1";
	names[1] = "blue2";
	names[2] = "blue3";
	names[3] = "blue4";
	names[4] = "yellow1";
	names[5] = "yellow2";
	names[6] = "yellow3";
	names[7] = "yellow4";
	*/

	//	ballName ="ball1";
	ballName ="ball";

	actionNames[0] = "SHOOT";
	actionNames[1] = "CLEAR";
	actionNames[2] = "BLOCK";
	actionNames[3] = "ANNOY";
	actionNames[4] = "GETOPEN";
	actionNames[5] = "TRAIL";

	//these are the commserver numbers for the robots	
	ids[0] = 0;
	ids[1] = 1;
	ids[2] = 2;
	ids[3] = 3;

	ids[4] = 4;
	ids[5] = 5;
	ids[6] = 6;
	ids[7] = 7;

	unixPort = 0;
	
	//defined in mm?
	throughBallDistance = 80; //When shooting, it will move this amount past the ball, in effect kicking it
	robotShootClearDist = 0;
	robotShootClearDistRange = 150;
	robotClearDist = 300;
	robotVelocity = 1.0f;


	//time is on the order of 4, this puts it on the order of 1.
	timeWeight = 0.25;
	
	//relative weights for actions
	shootWeight = 4;
	clearWeight = 1;
	blockWeight = 2;
	annoyWeight = 2;
	getopenWeight = 1;
	
	
}

Config::Config( char* filename ) {
	loadConfigFile( filename );
}

void Config::loadConfigFile( char* filename ) {
	//load from file
    
  
}
